Bug 88320 - bad rendering of the math formula source containing subscripted number followed by comma immediately
Summary: bad rendering of the math formula source containing subscripted number follow...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Takeshi Abe
URL:
Whiteboard: target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-01-12 09:53 UTC by Yury
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yury 2015-01-12 09:53:45 UTC
Math formula source containing subscripted number followed by comma immediately produces bad render output. Happens since 4.3.5.2 at least.

Example of formula source triggering this behaviour:
A_1,A_2

Variants NOT triggering bad behaviour:
A_1, A_2
A^1,A_2
Comment 1 raal 2015-01-13 20:46:46 UTC
I can confirm with Version: 4.5.0.0.alpha0+
Build ID: a272f5b7b30f356418ecf28eb95d066f081d1624
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-01-09_09:50:59

Unable to reproduce with LO 3.5 -> regression
Comment 2 Rostislav 'R.Yu.' Okulov 2015-01-14 07:00:45 UTC
git bisect start
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
git bisect bad 423a84c4f7068853974887d98442bc2a2d0cc91b
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect good 65fd30f5cb4cdd37995a33420ed8273c0a29bf00
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# bad: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect bad 9daa289e178460daaafa4b3911031df5b8736218
# good: [69bf614869471f46413fe1d2af5976b2e6d85084] source-hash-76dea8b2db906156e77f78738a68f932a15afd4b
git bisect good 69bf614869471f46413fe1d2af5976b2e6d85084
# good: [502c05c771cd993b237febc2d8a20140fe589488] source-hash-462df4920ef50032c8f99a9db2ca34c9cc928657
git bisect good 502c05c771cd993b237febc2d8a20140fe589488
# good: [567bfa79fb5ad4f9dfa05f0dea7666208d6129b2] source-hash-4d5fc661d37d03129b8054e494c03bed1933231d
git bisect good 567bfa79fb5ad4f9dfa05f0dea7666208d6129b2
# good: [3b187f1cb396a02f99a3da44b8b1daa40d795749] source-hash-344d80ee1d3829b28c18135ac4f0500d4b69aedd
git bisect good 3b187f1cb396a02f99a3da44b8b1daa40d795749
# first bad commit: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f

9daa289e178460daaafa4b3911031df5b8736218 is the first bad commit
commit 9daa289e178460daaafa4b3911031df5b8736218
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 15:09:24 2013 +0000

    source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
    
    commit 704292996a3731a61339b1a4a5c90c9403aa095f
    Author:     Julien Nabet <serval2412@yahoo.fr>
    AuthorDate: Sat Jun 29 07:58:10 2013 +0200
    Commit:     Julien Nabet <serval2412@yahoo.fr>
    CommitDate: Sat Jun 29 07:58:10 2013 +0200
    
        Fix some idl descriptions
    
        Change-Id: Icd8aedbe66943bb06720af3fb572f7acce96c05e

:100644 100644 c475a1ae770d5a937d7e9aa1bdc1bd755f4e72aa 1bb7ce773fc4b986e0e6977bef274e8a3659453e M      ccache.log
:100644 100644 bc5b3b06a0363b037fd7290759c06c8c07a994b4 ba6021a3451f3ae6d409b28994850232ffe7d0fc M      commitmsg
:100644 100644 035d86795f8689df9f651e3f4c2a76e932d1ccc6 afa5b7468a3f8c97a10c69f25e98005560967af1 M      dev-install.log
:100644 100644 5264e0cce58ad6f7c684bc1875a075b305751ed9 49c73586fe49bae5fc307b4de7f8dca5e397b0fb M      make.log
:040000 040000 ff3b02582b94ebee45c83a43e74498b8d66b04a5 53e2e025354bd880b66a325e57d3a2d005e53a23 M      opt
Comment 3 Matthew Francis 2015-01-14 09:17:10 UTC
The behaviour seems to have changed at the below commit.

Adding Cc: to fred.wang@free.fr; Could you possibly take a look at this? Thanks


commit 16a0d06f900027401716ddaba25e5c8998562b2d
Author: Frédéric Wang <fred.wang@free.fr>
Date:   Mon Jun 24 23:14:42 2013 +0200

    fdo#55853 - improve parsing of concatenated numbers and identifiers.
    
    Change-Id: Ic1cce4cec27f4ca5c3be1daf50888bef788cd6f7
    Reviewed-on: https://gerrit.libreoffice.org/4494
    Reviewed-by: Fridrich Strba <fridrich@documentfoundation.org>
    Tested-by: Fridrich Strba <fridrich@documentfoundation.org>
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:12:23 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-04-27 23:43:23 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=615e3502c5217585501dac27318a2f22847a5605

Resolves: tdf#88320 parsing fails with a subscript number

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.